import 'package:flutter/material.dart';
import 'package:hub/shared/components/molecules/menu/index.dart';

class MenuFactory extends StatelessWidget {
  final MenuView menuView;
  final MenuEntries menuEntry;
  final EnumMenuItem menuItem;

  const MenuFactory({
    super.key,
    required this.menuView,
    required this.menuEntry,
    required this.menuItem,
  });

  @override
  Widget build(BuildContext context) {
    return MenuViewFactory(
      view: menuView,
      item: menuItem,
      expandable: false,
      entry: menuEntry,
    );
  }
}
